This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1287840 - Unable to handle Mobile connection
Unable to handle Mobile connection
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-nm (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 14:38 EST by Sylvia Sánchez
Modified: 2016-12-20 11:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:35:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sylvia Sánchez 2015-12-02 14:38:10 EST
Description of problem:
If you already have a mobile connection, rarely KDE can connect to it. If you add a new connection, it's impossible because the OK button is greyed.

Version-Release number of selected component (if applicable):


How reproducible:
Trying to connect or add a new connection.

Steps to Reproduce:
1. Try to connect to a previously configured and saved mobile connection.
2. Try to add a new mobile connection.
3. Wait until the options window pop up.

Actual results:
If adding a new connection, the OK button is greyed out so it's impossible to accept and create a new mobile connection.
If connecting to mobile modem previously configured, it never works.

Expected results:
Connection within seconds. OK button available to click on it.

Additional info: 
No problems with Network Manager over Cinnamon.
Comment 1 Rex Dieter 2015-12-02 14:44:16 EST
Do you have plasma-nm-mobile pkg installed?  If not, install it, and try again
Comment 2 Jan Grulich 2015-12-03 03:33:02 EST
The reason why you cannot create a new connection is that our dialog expects you to either provide password and pin or that you make those two as not required (there is combobox for that). I changed this to have them marked as not required by default in the upcoming version. 

Regarding your second problem, does it fail to activate your previous connection or the connection is not visible in the applet at all?
Comment 3 Sylvia Sánchez 2015-12-16 16:40:16 EST
It doesn't connect despite plasma-nm-mobile being installed. Now it allows me to configure a Mobile network, but once configured I can't connect to it.  I can't even see it in the networks list. 
If I click on Network Settings I do see my mobile network but the Connect & Disconnect buttons are greyed, so I'm unable to use them. 

Jan:  Now it doesn't appear at all. Previously I could see it but it failed to activate it / connect to it.
Comment 4 Jan Grulich 2015-12-17 03:06:12 EST
Could you please provide output from "nmcli -f all device show"? This will show whether there is any available connection for your modem device according to NetworkManager which is important for us.

Is your connection locked by PIN/PUK/whatever? Could be also related to https://bugs.kde.org/show_bug.cgi?id=356772
Comment 5 Jan Grulich 2015-12-17 03:06:46 EST
I meant whether your SIM card is locked, not connection.
Comment 6 Sylvia Sánchez 2015-12-17 05:15:07 EST
The SIM card is not locked in any way. I'm using this connection without problems on Cinnamon so for Network Manager it is available. Actually, if I open the Network Settings dialogue, I can see the network I configured on Cinnamon and the new one I configured on KDE.  But I can't connect to them because buttons are greyed out. Actually, when I configured a new mobile connection, KDE didn't recognise what modem I was using. Though Cinnamon has not that problem.

If this bug  (https://bugs.kde.org/show_bug.cgi?id=356772)  is about a locked SIM, then no, it's not related.

As I said, previous this last update, I could see the network listed but it failed to connect (my first bug report). 
Now it does not even shows it listed.
Comment 7 Jan Grulich 2015-12-17 05:37:32 EST
Please, provide output from the command I wrote in comment 4. Cinnamon can have a different technique/way how to get available connections, I guess they use NM libraries directly while we use its DBus interface. 

Also, if you could use qdbusviewer-qt5 (or d-feet) to introspect NM DBus and find which device is your modem, you can recognize it by org.freedesktop.NetworkManager.Device.Modem interface. Then replace the device number in command below and send here the output.

qdbus --system --literal  org.freedesktop.NetworkManager /org/freedesktop/NetworkManager/Devices/1 org.freedesktop.NetworkManager.Device.AvailableConnections
Comment 8 Sylvia Sánchez 2016-01-02 07:48:21 EST

First, I've got this: 
[kokoro@Albionsland ~]$ qdbus --system --literal  org.freedesktop.NetworkManager /org/freedesktop/NetworkManager/Devices/1 org.freedesktop.NetworkManager.Device.AvailableConnections
[Variant: [Argument: ao {}]]
[kokoro@Albionsland ~]$ 


From the other command I've got this: 
[kokoro@Albionsland ~]$ nmcli -f all device show
GENERAL.DEVICE:                         enp0s29f7u1
GENERAL.TYPE:                           ethernet
GENERAL.NM-TYPE:                        NMDeviceEthernet
GENERAL.VENDOR:                         MediaTek
GENERAL.PRODUCT:                        STUDIO
GENERAL.DRIVER:                         rndis_host
GENERAL.DRIVER-VERSION:                 22-Aug-2005
GENERAL.FIRMWARE-VERSION:               RNDIS device
GENERAL.HWADDR:                         D2:2F:A0:43:AB:78
GENERAL.MTU:                            1500
GENERAL.STATE:                          100 (connected)
GENERAL.REASON:                         0 (No reason given)
GENERAL.UDI:                            /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-1/1-1:1.0/net/enp0s29f7u1
GENERAL.IP-IFACE:                       enp0s29f7u1
GENERAL.IS-SOFTWARE:                    no
GENERAL.NM-MANAGED:                     yes
GENERAL.AUTOCONNECT:                    yes
GENERAL.FIRMWARE-MISSING:               no
GENERAL.PHYS-PORT-ID:                   --
GENERAL.CONNECTION:                     Auto Ethernet
GENERAL.CON-UUID:                       dc5cf411-701b-4961-9dbc-c0aa71a3dd76
GENERAL.CON-PATH:                       /org/freedesktop/NetworkManager/ActiveConnection/0
GENERAL.METERED:                        yes (guessed)
CAPABILITIES.CARRIER-DETECT:            yes
CAPABILITIES.SPEED:                     unknown
CAPABILITIES.IS-SOFTWARE:               no
WIRED-PROPERTIES.CARRIER:               on
CONNECTIONS.AVAILABLE-CONNECTION-PATHS: /org/freedesktop/NetworkManager/Settings/{27}
CONNECTIONS.AVAILABLE-CONNECTIONS[1]:   dc5cf411-701b-4961-9dbc-c0aa71a3dd76 | Auto Ethernet
IP4.ADDRESS[1]:                         192.168.42.210/24
IP4.GATEWAY:                            192.168.42.129
IP4.DNS[1]:                             192.168.42.129
DHCP4.OPTION[1]:                        requested_classless_static_routes = 1
DHCP4.OPTION[2]:                        requested_rfc3442_classless_static_routes = 1
DHCP4.OPTION[3]:                        subnet_mask = 255.255.255.0
DHCP4.OPTION[4]:                        requested_subnet_mask = 1
DHCP4.OPTION[5]:                        domain_name_servers = 192.168.42.129
DHCP4.OPTION[6]:                        ip_address = 192.168.42.210
DHCP4.OPTION[7]:                        requested_static_routes = 1
DHCP4.OPTION[8]:                        dhcp_server_identifier = 192.168.42.129
DHCP4.OPTION[9]:                        requested_nis_servers = 1
DHCP4.OPTION[10]:                       requested_time_offset = 1
DHCP4.OPTION[11]:                       broadcast_address = 192.168.42.255
DHCP4.OPTION[12]:                       requested_interface_mtu = 1
DHCP4.OPTION[13]:                       dhcp_rebinding_time = 2965
DHCP4.OPTION[14]:                       requested_domain_name_servers = 1
DHCP4.OPTION[15]:                       dhcp_message_type = 5
DHCP4.OPTION[16]:                       requested_broadcast_address = 1
DHCP4.OPTION[17]:                       routers = 192.168.42.129
DHCP4.OPTION[18]:                       dhcp_renewal_time = 1615
DHCP4.OPTION[19]:                       requested_domain_name = 1
DHCP4.OPTION[20]:                       requested_routers = 1
DHCP4.OPTION[21]:                       expiry = 1451741788
DHCP4.OPTION[22]:                       requested_wpad = 1
DHCP4.OPTION[23]:                       host_name = Albionsland
DHCP4.OPTION[24]:                       requested_nis_domain = 1
DHCP4.OPTION[25]:                       requested_ms_classless_static_routes = 1
DHCP4.OPTION[26]:                       network_number = 192.168.42.0
DHCP4.OPTION[27]:                       requested_domain_search = 1
DHCP4.OPTION[28]:                       next_server = 192.168.42.129
DHCP4.OPTION[29]:                       requested_ntp_servers = 1
DHCP4.OPTION[30]:                       vendor_encapsulated_options = ANDROID_METERED
DHCP4.OPTION[31]:                       dhcp_lease_time = 3600
DHCP4.OPTION[32]:                       requested_host_name = 1
IP6.ADDRESS[1]:                         fe80::d02f:a0ff:fe43:ab78/64
IP6.GATEWAY:                            

GENERAL.DEVICE:                         wlp4s0
GENERAL.TYPE:                           wifi
GENERAL.NM-TYPE:                        NMDeviceWifi
GENERAL.VENDOR:                         Realtek Semiconductor Co., Ltd.
GENERAL.PRODUCT:                        RTL8191SEvB Wireless LAN Controller
GENERAL.DRIVER:                         rtl8192se
GENERAL.DRIVER-VERSION:                 4.2.8-300.fc23.x86_64
GENERAL.FIRMWARE-VERSION:               N/A
GENERAL.HWADDR:                         74:F0:6D:43:F3:D6
GENERAL.MTU:                            0
GENERAL.STATE:                          30 (disconnected)
GENERAL.REASON:                         42 (The supplicant is now available)
GENERAL.UDI:                            /sys/devices/pci0000:00/0000:00:1c.2/0000:04:00.0/net/wlp4s0
GENERAL.IP-IFACE:                       
GENERAL.IS-SOFTWARE:                    no
GENERAL.NM-MANAGED:                     yes
GENERAL.AUTOCONNECT:                    yes
GENERAL.FIRMWARE-MISSING:               no
GENERAL.PHYS-PORT-ID:                   --
GENERAL.CONNECTION:                     --
GENERAL.CON-UUID:                       --
GENERAL.CON-PATH:                       --
GENERAL.METERED:                        unknown
CAPABILITIES.CARRIER-DETECT:            no
CAPABILITIES.SPEED:                     unknown
CAPABILITIES.IS-SOFTWARE:               no
WIFI-PROPERTIES.WEP:                    yes
WIFI-PROPERTIES.WPA:                    yes
WIFI-PROPERTIES.WPA2:                   yes
WIFI-PROPERTIES.TKIP:                   yes
WIFI-PROPERTIES.CCMP:                   yes
WIFI-PROPERTIES.AP:                     yes
WIFI-PROPERTIES.ADHOC:                  yes
WIFI-PROPERTIES.2GHZ:                   yes
WIFI-PROPERTIES.5GHZ:                   no
AP[1].*:                                 
AP[1].SSID:                             Visca
AP[1].MODE:                             Infra
AP[1].CHAN:                             6
AP[1].RATE:                             54 Mbit/s
AP[1].SIGNAL:                           70
AP[1].BARS:                             ▂▄▆_
AP[1].SECURITY:                         WPA1 WPA2
AP[2].*:                                 
AP[2].SSID:                             PAPU
AP[2].MODE:                             Infra
AP[2].CHAN:                             6
AP[2].RATE:                             54 Mbit/s
AP[2].SIGNAL:                           40
AP[2].BARS:                             ▂▄__
AP[2].SECURITY:                         WPA1 WPA2
AP[3].*:                                 
AP[3].SSID:                             mari     
AP[3].MODE:                             Infra
AP[3].CHAN:                             6
AP[3].RATE:                             54 Mbit/s
AP[3].SIGNAL:                           34
AP[3].BARS:                             ▂▄__
AP[3].SECURITY:                         WPA1 WPA2
AP[4].*:                                 
AP[4].SSID:                             Iglesias
AP[4].MODE:                             Infra
AP[4].CHAN:                             6
AP[4].RATE:                             54 Mbit/s
AP[4].SIGNAL:                           14
AP[4].BARS:                             ▂___
AP[4].SECURITY:                         WPA1 WPA2
AP[5].*:                                 
AP[5].SSID:                             Rodrigo
AP[5].MODE:                             Infra
AP[5].CHAN:                             6
AP[5].RATE:                             54 Mbit/s
AP[5].SIGNAL:                           14
AP[5].BARS:                             ▂___
AP[5].SECURITY:                         WPA1 WPA2
CONNECTIONS.AVAILABLE-CONNECTION-PATHS: 

GENERAL.DEVICE:                         enp3s0
GENERAL.TYPE:                           ethernet
GENERAL.NM-TYPE:                        NMDeviceEthernet
GENERAL.VENDOR:                         Realtek Semiconductor Co., Ltd.
GENERAL.PRODUCT:                        RTL8101E/RTL8102E PCI Express Fast Ethernet controller
GENERAL.DRIVER:                         r8169
GENERAL.DRIVER-VERSION:                 2.3LK-NAPI
GENERAL.FIRMWARE-VERSION:               
GENERAL.HWADDR:                         EC:A8:6B:0B:49:97
GENERAL.MTU:                            1500
GENERAL.STATE:                          20 (unavailable)
GENERAL.REASON:                         2 (Device is now managed)
GENERAL.UDI:                            /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/net/enp3s0
GENERAL.IP-IFACE:                       
GENERAL.IS-SOFTWARE:                    no
GENERAL.NM-MANAGED:                     yes
GENERAL.AUTOCONNECT:                    yes
GENERAL.FIRMWARE-MISSING:               no
GENERAL.PHYS-PORT-ID:                   --
GENERAL.CONNECTION:                     --
GENERAL.CON-UUID:                       --
GENERAL.CON-PATH:                       --
GENERAL.METERED:                        unknown
CAPABILITIES.CARRIER-DETECT:            yes
CAPABILITIES.SPEED:                     unknown
CAPABILITIES.IS-SOFTWARE:               no
WIRED-PROPERTIES.CARRIER:               off
CONNECTIONS.AVAILABLE-CONNECTION-PATHS: 

GENERAL.DEVICE:                         lo
GENERAL.TYPE:                           loopback
GENERAL.NM-TYPE:                        NMDeviceGeneric
GENERAL.VENDOR:                         --
GENERAL.PRODUCT:                        --
GENERAL.DRIVER:                         unknown
GENERAL.DRIVER-VERSION:                 
GENERAL.FIRMWARE-VERSION:               
GENERAL.HWADDR:                         00:00:00:00:00:00
GENERAL.MTU:                            65536
GENERAL.STATE:                          10 (unmanaged)
GENERAL.REASON:                         0 (No reason given)
GENERAL.UDI:                            /sys/devices/virtual/net/lo
GENERAL.IP-IFACE:                       lo
GENERAL.IS-SOFTWARE:                    yes
GENERAL.NM-MANAGED:                     no
GENERAL.AUTOCONNECT:                    no
GENERAL.FIRMWARE-MISSING:               no
GENERAL.PHYS-PORT-ID:                   --
GENERAL.CONNECTION:                     --
GENERAL.CON-UUID:                       --
GENERAL.CON-PATH:                       --
GENERAL.METERED:                        unknown
CAPABILITIES.CARRIER-DETECT:            yes
CAPABILITIES.SPEED:                     unknown
CAPABILITIES.IS-SOFTWARE:               yes
CONNECTIONS.AVAILABLE-CONNECTION-PATHS: 
IP4.ADDRESS[1]:                         127.0.0.1/8
IP4.GATEWAY:                            
IP6.ADDRESS[1]:                         ::1/128
IP6.GATEWAY:                            
[kokoro@Albionsland ~]$ 


Right now I'm connected on KDE because I logged in first with Cinnamon, connected to internet using a my phone as USB modem and then logged out and logged in again with KDE.  Otherwise, Plasma now doesn't recognise none of them, ethernet (my plugged phone), modem 3G or my phone as hotspot.  All of them using 3G/4G networks.
I didn't tried with a proper wifi hotspot yet.
Comment 9 Jan Grulich 2016-01-20 04:47:02 EST
Provide please output from "nmcli -f all device show enp0s29f7u1" once you log in to KDE and you are disconnected. It also doesn't seem that your phone is recognized as modem device.
Comment 10 Sylvia Sánchez 2016-01-21 06:20:04 EST
When I'm connected Network Manager shows this:

NAME                       UUID                                  TYPE             DEVICE      
Auto Wi-Fi Antel AP4       7df218cf-a13e-4ec2-aaba-69d6001d2802  802-11-wireless  --          
Auto Wifi_27_Ap2           28c61a13-3f1c-4468-a852-e6e5d5a67cb4  802-11-wireless  --          
Auto Ethernet              f96abb24-23e0-4b3b-b082-c658bf637632  802-3-ethernet   --          
Auto Sala Artigas - Bibna  6db649c1-fe4b-4bb9-a135-77ce8b229551  802-11-wireless  --          
Auto Wi-Fi Antel           71ccaf7f-350b-40d3-88b8-0acefc598d28  802-11-wireless  --          
Auto Ethernet              21703722-ecb2-441d-974d-3949e2f4d5d2  802-3-ethernet   --          
Auto Ethernet              a7f094e9-cd63-430a-8246-874fac451bcd  802-3-ethernet   --          
Auto Ethernet              1b443029-1f82-4dd8-96f5-f156f994b65c  802-3-ethernet   --          
Auto BLU STUDIO            200b489d-7821-4600-bbfb-7ff5df48bfaf  802-11-wireless  --          
Auto Ethernet              11f1db6a-065f-4e1d-8953-95dd029f0879  802-3-ethernet   --          
Wired connection 1         d4454b20-9ae3-48f8-b153-f31aaa272fc6  802-3-ethernet   enp0s29f7u1 
Auto ceibalWiFi            86a6cd43-325e-43c5-a21d-d23e83d40fb0  802-11-wireless  --          
enp2s0                     45211758-4116-418f-9deb-053db6c72842  802-3-ethernet   --          
Auto Ceibal                81058d45-b486-4fa4-81f6-0eaa09d8e1c1  802-11-wireless  --          
Auto Sala Varela - Bibna   18cbf541-8564-404e-8964-2bebcafa0271  802-11-wireless  --


When I'm disconnected shows this:

NAME                       UUID                                  TYPE             DEVICE 
Auto Wi-Fi Antel AP4       7df218cf-a13e-4ec2-aaba-69d6001d2802  802-11-wireless  --     
Auto Wifi_27_Ap2           28c61a13-3f1c-4468-a852-e6e5d5a67cb4  802-11-wireless  --     
Auto Ethernet              f96abb24-23e0-4b3b-b082-c658bf637632  802-3-ethernet   --     
Auto Sala Artigas - Bibna  6db649c1-fe4b-4bb9-a135-77ce8b229551  802-11-wireless  --     
Auto Wi-Fi Antel           71ccaf7f-350b-40d3-88b8-0acefc598d28  802-11-wireless  --     
Auto Ethernet              21703722-ecb2-441d-974d-3949e2f4d5d2  802-3-ethernet   --     
Auto Ethernet              a7f094e9-cd63-430a-8246-874fac451bcd  802-3-ethernet   --     
Auto Ethernet              1b443029-1f82-4dd8-96f5-f156f994b65c  802-3-ethernet   --     
Auto BLU STUDIO            200b489d-7821-4600-bbfb-7ff5df48bfaf  802-11-wireless  --     
Auto Ethernet              11f1db6a-065f-4e1d-8953-95dd029f0879  802-3-ethernet   --     
Auto ceibalWiFi            86a6cd43-325e-43c5-a21d-d23e83d40fb0  802-11-wireless  --     
enp2s0                     45211758-4116-418f-9deb-053db6c72842  802-3-ethernet   --     
Auto Ceibal                81058d45-b486-4fa4-81f6-0eaa09d8e1c1  802-11-wireless  --     
Auto Sala Varela - Bibna   18cbf541-8564-404e-8964-2bebcafa0271  802-11-wireless  -- 


And with  "nmcli -f all device show enp0s29f7u1": 
Error: Device 'enp0s29f7u1' not found.

I'm connected through my phone as USB modem  (USB tethering) on KDE.

Besides, if I disconnect a hotspot or modem, KDE refuses connect again with the same device no matter if it's actively working or not.
Comment 11 Fedora End Of Life 2016-11-24 08:56:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 11:35:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.